ExcludeArch: s390 s390x

%define dbus_version 1.1
%define dbus_glib_version 0.73-10
%define hal_version 0.5.0

%define gtk2_version	2.10.4
%define wireless_tools_version 1:28-2
%define ppp_version 2.2.4
%define libnotify_version 0.4.2
%define nss_version 3.11.7

%define snapshot svn4378
%define applet_snapshot svn1069

Name: NetworkManager
Summary: Network connection manager and user applications
Epoch: 1
Version: 0.7.0
Release: 13%{?dist}
Group: System Environment/Base
License: GPLv2+
URL: http://www.gnome.org/projects/NetworkManager/
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

Source: %{name}-%{version}.%{snapshot}.tar.gz
Source1: network-manager-applet-%{version}.%{applet_snapshot}.tar.gz
Source2: nm-system-settings.conf
Source3: libnl-1.1.tar.gz
Source4: avahi-autoipd-0.6.21.tar.bz2
Source5: 10-nm-modem.fdi

Patch1: nm-applet-internal-buildfixes.patch
Patch2: explain-dns1-dns2.patch
Patch3: ppp-bug-1723-workaround.patch
Patch4: old-dbus-glib.patch
Patch6: nm-old-notify.patch
Patch7: preserve-el5-priorities.patch
# RHEL 5 doesn't have PolicyKit
Patch8: nm-no-pk.patch
Patch9: nm-old-glib.patch
Patch10: nm-avahi-autoipd-location.patch
Patch11: nm-local-libnl.patch
Patch12: nm-make-desktop-files-validate.patch
# Preserve behavior with RHEL 5.2
Patch13: nm-dont-update-hostname.patch
# HAL 0.5.8 drops privileges before connecting to the system bus
Patch14: nm-allow-hal-0.5.8-signals.patch
# The 'airo' driver needs help (rh #467117)
Patch15: airo-needs-ap-scan-2.patch
# RHEL 5's older libnotify can't position stuff correctly (rh #467037)
Patch16: nm-applet-defer-notify.patch
# RHEL 5 doesn't have PolicyKit
Patch17: nm-applet-no-pk.patch
# Match RHEL 5.2 ONBOOT behavior (rh #467243)
Patch18: nm-ignore-onboot.patch
# gtk-doc in RHEL 5 has shadowed variable errors
Patch19: gtk-doc-build-fix.patch
# GTK+ 2.10's GtkFileChooserButton doesn't have the 'file-set' signal
Patch20: nm-applet-old-gtkfilechooser.patch
# RHEL 5's GtkTreeView focus doesn't work like F8+ (rh #476625)
Patch21: nm-connection-editor-focus-recursion-fix.patch
# CVE-2009-0365: don't leak system secrets (rh #486696)
Patch22: nm-0.7-cve-2009-0365.patch
# CVE-2009-0365: don't leak user secrets
Patch23: nm-applet-0.7-cve-2009-0365.patch
# CVE-2009-0578: prohibit update/delete from other users
Patch24: nm-applet-0.7-cve-2009-0578.patch
Patch25: nm-0.7-cve-2009-0578.patch
# Fix AP signal strength display in multi-BSSID networks (rh #485477)
Patch26: nm-applet-0.7-ap-menu-strength-rh485477.patch
# Fix VPN export in the connection editor (rh #485345)
Patch27: nm-connection-editor-vpn-export-rh485345.patch
# Close applet context menu before requesting keyring items (rh #476020)
Patch28: nm-applet-0.7-keyring-grab-rh476020.patch
# Silence warning about 'lo' connection (rh #484060)
Patch29: nm-ifcfg-plugin-silence-lo-warning-rh484060.patch
# Show wifi passphrases not hashed hex keys (rh #466509)
Patch30: nm-wifi-passphrase-not-hex-rh466509.patch
Patch31: nm-applet-wifi-passphrase-not-hex-rh466509.patch
# Add settings to disable wifi sharing (rh #496247)
Patch32: nm-system-permissions.patch
# Hide the VPN submenu if no VPN services are installed (rh #464604)
Patch33: nm-applet-hide-vpn-rh464604.patch
# Fix handling of 63-character-long WPA PSKs (rh #532723)
Patch34: rh532723-long-psk-fix.patch
# Ensure VPN secrets get requested when necessary (rh #528425)
Patch35: rh528425-clear-vpn-secrets-on-failure.patch
# Filter netlink carrier events by ifindex not ifname (rh #513547)
Patch36: rh513547-eth-carrier-ifindex.patch
Patch37: rh513547-verify-netlink-message-sender.patch
# Actually use 802.1x certs after the user sets them (rh #477061)
Patch38: rh477061-wired-8021x-certs-fix.patch
Patch39: rh477061-ttls-phase2-secrets-check.patch

# Option HSO fixes for Icera-based devices (Quicksilver, iCON 505)
# You're really, really, really going to want the driver here:
#
#   http://people.redhat.com/dcbw/rhel5-hso.tar.bz2
#
# This 'hso' driver and associated utilities are in no way supported by
# Red Hat, but are known to work well with NetworkManager in RHEL5.
#
Patch40: rh536897-option-hso-secrets-fix.patch
Patch41: rh536897-option-hso-unsolicited-dial.patch
Patch42: rh536897-option-hso-auth.patch
Patch43: rh536897-option-hso-call-timeout.patch
Patch44: rh536897-option-hso-icera-fixes.patch
Patch45: rh536897-option-hso-new-usb-layout.patch
Patch46: rh536897-option-hso-cid-already-active-fix.patch
Patch47: rh536897-option-hso-control-port.patch

# Fix possible information disclosure by nm-connection-editor (rh #546117)
Patch50: rh548191-CVE-2009-4145-connection-editor-info-disclosure.patch
# Fix possible unauthenticated connections to 802.1x-protected networks after
# the user deletes the CA certificate (rh #546795)
Patch51: rh548191-CVE-2009-4144-really-validate-ca-cert.patch

# Fix a crash when the system settings service quits
Patch52: rh580393-system-settings-crash-on-quit.patch

# Fix a crash when CHAP is used for EAP-TTLS (rh #644256)
Patch53: rh644256-ttls-CHAP-crash-fix.patch

# libnl patches
Patch100: libnl-1.0-pre5-static.patch
Patch101: libnl-1.0-pre5-debuginfo.patch
Patch102: libnl-1.0-pre8-use-vasprintf-retval.patch
Patch103: libnl-1.0-pre8-more-build-output.patch
Patch104: libnl-1.1-memleaks.patch
Patch105: libnl-1.1-missing-declaration.patch

PreReq:   chkconfig
Requires: dbus >= %{dbus_version}
Requires: dbus-glib >= %{dbus_glib_version}
Requires: hal >= %{hal_version}
Requires: iproute openssl
Requires: dhclient >= 3.0.2-12
Requires: wpa_supplicant >= 1:0.5.10-8
Requires: %{name}-glib = %{epoch}:%{version}-%{release}
Requires: ppp >= %{ppp_version}
Requires: dnsmasq
Requires: nss >= %{nss_version}

# Conflict with anything less than the actual 0.7 release of the VPN plugins
Conflicts: NetworkManager-vpnc < 1:0.7.0-2
Conflicts: NetworkManager-openvpn < 1:0.7.0-18
Conflicts: NetworkManager-pptp < 1:0.7.0-2

BuildRequires: dbus-devel >= %{dbus_version}
BuildRequires: dbus-glib-devel >= %{dbus_glib_version}
BuildRequires: wireless-tools-devel >= %{wireless_tools_version}
BuildRequires: hal-devel >= %{hal_version}
BuildRequires: glib2-devel gtk2-devel
BuildRequires: libglade2-devel
BuildRequires: openssl-devel
BuildRequires: GConf2-devel
BuildRequires: gnome-keyring-devel
BuildRequires: gettext-devel
BuildRequires: pkgconfig
BuildRequires: wpa_supplicant
BuildRequires: libnotify-devel >= %{libnotify_version}
BuildRequires: perl(XML::Parser)
BuildRequires: automake autoconf intltool libtool
# ppp package has devel headers for F8 and lower
BuildRequires: ppp >= %{ppp_version}
BuildRequires: nss-devel >= %{nss_version}
BuildRequires: dhclient
BuildRequires: gtk-doc
BuildRequires: libdaemon-devel

# libnl buildreqs
BuildRequires: doxygen

%description
NetworkManager attempts to keep an active network connection available at all
times.  It is intended only for the desktop use-case, and is not intended for
usage on servers.   The point of NetworkManager is to make networking
configuration and setup as painless and automatic as possible.  If using DHCP,
NetworkManager is intended to replace default routes, obtain IP addresses
from a DHCP server, and change nameservers whenever it sees fit.


%package devel
Summary: Libraries and headers for adding NetworkManager support to applications
Group: Development/Libraries
Requires: %{name} = %{epoch}:%{version}-%{release}
Requires: dbus-devel >= %{dbus_version}
Requires: dbus-glib >= %{dbus_glib_version}
Requires: pkgconfig

%description devel
This package contains various headers accessing some NetworkManager functionality
from applications.


%package gnome
Summary: GNOME applications for use with NetworkManager
Group: Applications/Internet
Requires: %{name} = %{epoch}:%{version}-%{release}
Requires: %{name}-glib = %{epoch}:%{version}-%{release}
Requires: dbus >= %{dbus_version}
Requires: dbus-glib >= %{dbus_glib_version}
Requires: libnotify >= %{libnotify_version}
PreReq:  gtk2 >= %{gtk2_version}
Requires: gnome-keyring
Requires: gnome-icon-theme

%description gnome
This package contains GNOME utilities and applications for use with
NetworkManager, including a panel applet for wireless networks.


%package glib
Summary: Libraries for adding NetworkManager support to applications that use glib.
Group: Development/Libraries
Requires: dbus >= %{dbus_version}
Requires: dbus-glib >= %{dbus_glib_version}
Requires: %{name} = %{epoch}:%{version}-%{release}

%description glib
This package contains the libraries that make it easier to use some NetworkManager
functionality from applications that use glib.


%package glib-devel
Summary: Header files for adding NetworkManager support to applications that use glib.
Group: Development/Libraries
Requires: %{name}-devel = %{epoch}:%{version}-%{release}
Requires: %{name}-glib = %{epoch}:%{version}-%{release}
Requires: glib2-devel
Requires: pkgconfig
Requires: dbus-glib-devel >= %{dbus_glib_version}

%description glib-devel
This package contains the header and pkg-config files for development applications using
NetworkManager functionality from applications that use glib.


%prep
%setup -q

# unpack the applet
tar -xzf %{SOURCE1}
%patch1 -p1 -b .buildfix
%patch2 -p1 -b .explain-dns1-dns2
%patch3 -p1 -b .ppp-bug-1732-workaround
%patch4 -p1 -b .old-dbus-glib
%patch6 -p1 -b .old-libnotify
%patch7 -p1 -b .el5-priorities
%patch8 -p0 -b .no-pk
%patch9 -p1 -b .old-glib
%patch10 -p1 -b .avahi-autoipd-location
%patch11 -p1 -b .local-libnl
%patch12 -p1 -b .desktop-file-validate
%patch13 -p1 -b .dont-update-hostname
%patch14 -p1 -b .allow-hal-0.5.8-signals
%patch15 -p1 -b .airo-needs-ap-scan-2
%patch16 -p1 -b .defer-notify
%patch17 -p0 -b .applet-no-pk
%patch18 -p1 -b .ignore-onboot
%patch19 -p1 -b .gtkdoc
%patch20 -p1 -b .old-gtkfilechooser
%patch21 -p1 -b .focus
%patch22 -p1 -b .nm-cve-2009-0365
%patch23 -p1 -b .nm-applet-cve-2009-0365
%patch24 -p1 -b .nm-applet-cve-2009-0578
%patch25 -p1 -b .nm-cve-2009-0578
%patch26 -p1 -b .applet-ap-strength
%patch27 -p1 -b .vpn-export
%patch28 -p1 -b .keyring-grab-context-menu
%patch29 -p1 -b .ifcfg-rh-lo
%patch30 -p1 -b .wifi-passphrase
%patch31 -p1 -b .applet-wifi-passphrase
%patch32 -p1 -b .system-permissions
%patch33 -p1 -b .hide-vpn
%patch34 -p1 -b .long-psk-fix
%patch35 -p1 -b .clear-vpn-secrets-on-failure
%patch36 -p1 -b .netlink-use-ifindex
%patch37 -p1 -b .netlink-verify-sender
%patch38 -p1 -b .wired-8021x-certs-fix
%patch39 -p1 -b .ttls-phase2-secrets-check

%patch40 -p1 -b .hso-secrets
%patch41 -p1 -b .hso-unsolicited-dial
%patch42 -p1 -b .hso-auth
%patch43 -p1 -b .hso-call-timeout
%patch44 -p1 -b .hso-icera-fixes
%patch45 -p1 -b .hso-new-usb-layout
%patch46 -p1 -b .hso-cid-already-active
%patch47 -p1 -b .hso-control-port

%patch50 -p1 -b .editor-info-disclosure
%patch51 -p1 -b .really-validate-cert
%patch52 -p1 -b .system-settings-quit-crash
%patch53 -p1 -b .TTLS-CHAP-crash

# unpack libnl
tar -xzf %{SOURCE3}
pushd libnl-1.1
%patch100 -p1 -b .build-static
%patch101 -p1 -b .debuginfo
%patch102 -p1 -b .use-vasprintf-retval
%patch103 -p1 -b .more-build-output
%patch104 -p1 -b .memleaks
%patch105 -p1 -b .missing-decl
popd

# unpack avahi-autoipd
tar -xjf %{SOURCE4}

%build

# back up pristine docs and use them instead of generated ones, which make
# multilib unhappy due to different timestamps in the generated content
%{__cp} -R docs ORIG-docs

pushd avahi-autoipd-0.6.21
	autoreconf -i
	%configure --with-autoipd-user=avahi-autoipd --with-autoipd-group=avahi-autoipd
	make
popd
 
# build private libnl-1.1
pushd libnl-1.1
	%configure
	make
popd

autoreconf -i
%configure \
	--disable-static \
	--with-distro=redhat \
	--with-dhcp-client=dhclient \
	--with-crypto=nss \
	--enable-more-warnings=yes \
	--with-docs=yes \
	--with-system-ca-path=/etc/pki/tls/certs
make

# build the applet
pushd network-manager-applet-0.7.0
	autoreconf -i
	intltoolize --force
	%configure --disable-static --enable-more-warnings=yes
	make
popd

%install
%{__rm} -rf $RPM_BUILD_ROOT

# install NM
make install DESTDIR=$RPM_BUILD_ROOT

%{__cp} %{SOURCE2} $RPM_BUILD_ROOT%{_sysconfdir}/%{name}/

# install the applet
pushd network-manager-applet-0.7.0
  make install DESTDIR=$RPM_BUILD_ROOT
popd

# create a VPN directory
%{__mkdir_p} $RPM_BUILD_ROOT%{_sysconfdir}/NetworkManager/VPN

# Create the keyfile system settings plugin's directory
%{__mkdir_p} $RPM_BUILD_ROOT%{_sysconfdir}/NetworkManager/system-connections

%{__mkdir_p} $RPM_BUILD_ROOT%{_datadir}/gnome-vpn-properties

%find_lang %{name}
%find_lang nm-applet
cat nm-applet.lang >> %{name}.lang

%{__rm} -f $RPM_BUILD_ROOT%{_libdir}/*.la
%{__rm} -f $RPM_BUILD_ROOT%{_libdir}/pppd/2.4.4/*.la
%{__rm} -f $RPM_BUILD_ROOT%{_libdir}/NetworkManager/*.la

install -m 0755 test/.libs/nm-online %{buildroot}/%{_bindir}

# install pristine docs
%{__cp} ORIG-docs/libnm-glib/html/* $RPM_BUILD_ROOT%{_datadir}/gtk-doc/html/libnm-glib/
%{__cp} ORIG-docs/libnm-util/html/* $RPM_BUILD_ROOT%{_datadir}/gtk-doc/html/libnm-util/

%{__rm} -f $RPM_BUILD_ROOT%{_datadir}/PolicyKit/policy/*

# avahi-autoipd stuff
mkdir -p $RPM_BUILD_ROOT%{_localstatedir}/lib/avahi-autoipd

install -m 0755 avahi-autoipd-0.6.21/avahi-autoipd $RPM_BUILD_ROOT%{_libexecdir}/nm-avahi-autoipd

# install modem tag file
%{__mkdir_p} $RPM_BUILD_ROOT%{_datadir}/hal/fdi/information/10freedesktop
%{__cp} %{SOURCE5} $RPM_BUILD_ROOT%{_datadir}/hal/fdi/information/10freedesktop/

%clean
%{__rm} -rf $RPM_BUILD_ROOT


%pre
# avahi-autoipd stuff
/usr/sbin/groupadd -f -r avahi-autoipd
/usr/bin/id avahi-autoipd >/dev/null 2>&1 || \
        /usr/sbin/useradd -r -g avahi-autoipd -c 'avahi-autoipd' -s /sbin/nologin -d %{_localstatedir}/lib/avahi-autoipd avahi-autoipd

%post
if [ "$1" == "1" ]; then
	/sbin/chkconfig --add NetworkManager
fi

%preun
if [ $1 -eq 0 ]; then
    /sbin/service NetworkManager stop >/dev/null 2>&1
    killall -TERM nm-system-settings >/dev/null 2>&1
    /sbin/chkconfig --del NetworkManager
fi

%triggerun -- NetworkManager < 1:0.7.0-0.9.2.svn3614
/sbin/service NetworkManagerDispatcher stop >/dev/null 2>&1
/sbin/chkconfig --del NetworkManagerDispatcher
exit 0

%post   glib -p /sbin/ldconfig
%postun glib -p /sbin/ldconfig

%post gnome
touch --no-create %{_datadir}/icons/hicolor
if [ -x /usr/bin/gtk-update-icon-cache ]; then
  gtk-update-icon-cache -q %{_datadir}/icons/hicolor
fi

%postun gnome
touch --no-create %{_datadir}/icons/hicolor
if [ -x /usr/bin/gtk-update-icon-cache ]; then
  gtk-update-icon-cache -q %{_datadir}/icons/hicolor
fi

%files -f %{name}.lang
%defattr(-,root,root,0755)
%doc COPYING ChangeLog NEWS AUTHORS README CONTRIBUTING TODO docs/spec.html
%{_sysconfdir}/dbus-1/system.d/NetworkManager.conf
%{_sysconfdir}/dbus-1/system.d/nm-dhcp-client.conf
%{_sysconfdir}/dbus-1/system.d/nm-avahi-autoipd.conf
%{_sysconfdir}/dbus-1/system.d/nm-dispatcher.conf
%{_sysconfdir}/dbus-1/system.d/nm-system-settings.conf
%config %{_sysconfdir}/rc.d/init.d/NetworkManager
%{_sbindir}/%{name}
%{_sbindir}/nm-system-settings
%dir %{_sysconfdir}/%{name}/
%dir %{_sysconfdir}/%{name}/dispatcher.d
%dir %{_sysconfdir}/%{name}/VPN
%{_sysconfdir}/%{name}/nm-system-settings.conf
%{_bindir}/nm-tool
%{_bindir}/nm-online
%{_libexecdir}/nm-dhcp-client.action
%{_libexecdir}/nm-avahi-autoipd
%{_libexecdir}/nm-avahi-autoipd.action
%{_libexecdir}/nm-dispatcher.action
%dir %{_libdir}/NetworkManager
%{_libdir}/NetworkManager/*.so*
%{_libdir}/libnm-util.so.*
%{_mandir}/man1/*
%{_mandir}/man8/*
%dir %{_localstatedir}/run/NetworkManager
%{_prefix}/libexec/nm-crash-logger
%dir %{_datadir}/NetworkManager
%{_datadir}/NetworkManager/gdb-cmd
%{_datadir}/dbus-1/system-services/org.freedesktop.NetworkManagerSystemSettings.service
%{_datadir}/dbus-1/system-services/org.freedesktop.nm_dispatcher.service
%{_libdir}/pppd/2.4.4/nm-pppd-plugin.so
%{_datadir}/hal/fdi/information/10freedesktop/10-nm-modem.fdi

%files devel
%defattr(-,root,root,0755)
%dir %{_includedir}/%{name}
%{_includedir}/%{name}/nm-*.h
%{_includedir}/%{name}/%{name}.h
%{_includedir}/%{name}/NetworkManagerVPN.h
%{_libdir}/pkgconfig/%{name}.pc
%{_libdir}/pkgconfig/libnm-util.pc
%{_libdir}/libnm-util.so

%files gnome
%defattr(-,root,root,0755)
%{_sysconfdir}/dbus-1/system.d/nm-applet.conf
%{_bindir}/nm-applet
%{_bindir}/nm-connection-editor
%{_datadir}/applications/*.desktop
%{_datadir}/nm-applet/
%{_datadir}/icons/hicolor/16x16/apps/*.png
%{_datadir}/icons/hicolor/22x22/apps/*.png
%{_datadir}/icons/hicolor/48x48/apps/*.png
%{_sysconfdir}/xdg/autostart/nm-applet.desktop
%dir %{_datadir}/gnome-vpn-properties

%files glib
%defattr(-,root,root,0755)
%{_libdir}/libnm_glib.so.*
%{_libdir}/libnm_glib_vpn.so.*

%files glib-devel
%defattr(-,root,root,0755)
%dir %{_includedir}/libnm-glib
%{_includedir}/libnm-glib/*.h
%{_libdir}/pkgconfig/libnm_glib.pc
%{_libdir}/pkgconfig/libnm_glib_vpn.pc
%{_libdir}/libnm_glib.so
%{_libdir}/libnm_glib_vpn.so
%dir %{_datadir}/gtk-doc/html/libnm-glib
%{_datadir}/gtk-doc/html/libnm-glib/*
%dir %{_datadir}/gtk-doc/html/libnm-util
%{_datadir}/gtk-doc/html/libnm-util/*

%changelog
* Thu Apr  7 2011 Jiří Klimeš <jklimes@redhat.com> - 1:0.7.0-13
- Fix crash when CHAP is used as inner auth method for EAP-TTLS
- Resolves: #644256

* Fri Nov 12 2010 Dan Williams <dcbw@redhat.com> - 1:0.7.0-12
- Fix crash when system settings service exits
- Resolves: #580393

* Thu Jul  1 2010 Dan Williams <dcbw@redhat.com> - 1:0.7.0-11
- Rebuild to fix D-Bus property access (for dbus-glib CVE-2010-1172)

* Wed Dec  9 2009 Dan Williams <dcbw@redhat.com> - 1:0.7.0-10
- Add support for newer Option NV mobile broadband devices (Quicksilver, iCON 505)
- Resolves: #536897
- Fix problems with 63-character WPA PSKs
- Resolves: #532723
- Improve VPN password handling
- Resolves: #528425
- Correctly handle carrier events for renamed ethernet interfaces
- Resolves: #513547
- Fix problems with wired 802.1x certificate usage
- Resolves: #477061
- Ensure a connection is not used after its CA certificate has been deleted
- Resolves: CVE-2009-4144
- Fix possible information disclosure by nm-connection-editor
- Resolves: CVE-2009-4145

* Thu May 21 2009 Dan Williams <dcbw@redhat.com> - 1:0.7.0-9
- Don't show the applet's VPN submenu if no VPN plugins are installed
- Resolves: #464604
- Revert fix for #494212, since it breaks multilib (see 351101)
- Related: #494212

* Thu May 21 2009 Dan Williams <dcbw@redhat.com> - 1:0.7.0-8
- Fix dependency removal of NM-glib on NetworkManager
- Resolves: #494212

* Tue May 19 2009 Matthew Barnes <mbarnes@redhat.com> - 1:0.7.0-7
- Remove dependency on NM-glib
- Resolves: #494212

* Tue May 19 2009 Matthew Barnes <mbarnes@redhat.com> - 1:0.7.0-6
- Add new /etc/sysconfig/network options to disable wifi sharing
- Resolves: #496247
- Fix a compiler warning in nm-applet-wifi-passphrase-not-hex-rh466509.patch
- Related: #466509

* Wed May 13 2009 Dan Williams <dcbw@redhat.com> - 1:0.7.0-5
- Fix AP signal strength display in multi-BSSID networks
- Resolves: #485477
- Fix VPN export in the connection editor
- Resolves: #485345
- Close applet context menu before requesting keyring items
- Resolves: #476020
- Silence ifcfg-rh plugin warning about invalid 'lo' connections
- Resolves: #484060
- Show wifi passphrases instead of hashed hex keys
- Resolves: #466509
- Fix wpa_supplicant requires
- Resolves: #486688

* Mon Feb 23 2009 Dan Williams <dcbw@redhat.com> - 1:0.7.0-4
- CVE-2009-0365: GetSecrets disclosure
- CVE-2009-0578: local users can modify the connection settings
- Resolves: #487778
- Resolves: #487779

* Tue Dec 16 2008 Dan Williams <dcbw@redhat.com> - 1:0.7.0-3
- Fix infinite static IP focus recursion in the connection editor
- Resolves: #476625

* Tue Dec  9 2008 Dan Williams <dcbw@redhat.com> - 1:0.7.0-2
- Always bring the secrets dialog to the front (updated)
- Resolves: #467728
- Prevent stuck grabs between applet menu and the keyring password dialog (updated)
- Resolves: #465154
- Fix issues with creating wired 802.1x connections
- Resolves: #474879

* Wed Dec  3 2008 Dan Williams <dcbw@redhat.com> - 1:0.7.0-1
- Update to NetworkManager 0.7 final release
- Rename 'ifcfg-fedora' plugin to 'ifcfg-rh'
- Resolves: #471932

* Fri Nov 21 2008 Dan Williams <dcbw@redhat.com> - 1:0.7.0-0.12.svn4326
- Initially ignore ONBOOT to preserve RHEL 5.2 behavior
- Resolves: #467243
- Fix routing when the gateway is not on the local subnet (rh #434625)

* Wed Nov 12 2008 Dan Williams <dcbw@redhat.com> - 1:0.7.0-0.12.svn4185
- Defer notification bubbles a bit longer
- Resolves: #467037
- Always bring the secrets dialog to the front
- Resolves: #467728
- Prevent stuck grabs between applet menu and the keyring password dialog
- Resolves: #465154

* Thu Oct 16 2008 Dan Williams <dcbw@redhat.com> - 1:0.7.0-0.11.svn4185
- Explicitly allow HAL to send signals to NM
- Resolves: #463930
- Always use AP_SCAN=2 on airo
- Resolves: #467117
- Fix default route behavior
- Resolves: #466166
- Remove un-needed dependency on gnome-panel
- Suppress applet notification bubbles for short period after startup
- Resolves: #467037

* Wed Oct  1 2008 Dan Williams <dcbw@redhat.com> - 1:0.7.0-0.11.svn4133
- Fix resume issues with ipw3945 driver
- Resolves: #463930
- Related: #362421
- Power up mobile broadband cards before trying to use them
- Fix VPN connection importing
- Recognize additional Dell mobile broadband cards
- Related: #455790

* Mon Sep 22 2008 Dan Williams <dcbw@redhat.com> - 1:0.7.0-0.11.svn4088
- Related: #455790
- Fix desktop file validation
- Disable hostname updates to match previous NM behavior
- Remove bogus BuildRequires on external libnl
- Add support for Sierra Wireless AC860

* Fri Sep 19 2008 Dan Williams <dcbw@redhat.com> - 1:0.7.0-0.11.svn4082
- Update to NetworkManager 0.7
- Resolves: #455790
- Resolves: #221773
- Resolves: #223119
- Resolves: #224022
- Resolves: #434625
- Resolves: #437873

* Tue Apr  1 2008 Dan Williams <dcbw@redhat.com> - 1:0.6.4-8
- Ensure dialog is realized before setting it's time (Related: #219155)
- Fix check when moving WPA private key password (Related: #220915)

* Thu Nov 29 2007 Dan Williams <dcbw@redhat.com> - 1:0.6.4-7
- Add LEAP authentication support (Resolves: #224922)
- Suppress initial wireless device activation until wired devices have had
    time to figure out their link state (Related: #362421)
- Give drivers some time to recover after suspend/resume (Resolves: #362421)
- Increase D-Bus pending call limit for applet and NM (Resolves: #221323)
- Send default EAP fragment size of 1300 to supplicant for better 802.1x
    compatibility (Related: #427843)
- Move WPA-Enterprise passwords to the GNOME Keyring (Resolves: #220915)
- Fix the focus-stealing-prevention workarounds to always show the wireless
    secrets dialog (Resolves: #219155)
- Fix a race when checking whether to activate devices (Resolves: #215720)
- Indicate when an IPv4 autoip address has been acquired on a wired interface
    (Resolves: #213094)
- Make use of driver-reported scan capabilities if supported (Related: #427528)

* Sun Jan  7 2007 Christopher Aillon <caillon@redhat.com> - 1:0.6.4-6
- Don't attempt to pass empty ESSID paths to GConf

* Mon Sep  4 2006 Christopher Aillon <caillon@redhat.com> - 1:0.6.4-5
- Don't wake up to redraw if NM is inactive (#204850)

* Wed Aug 30 2006 Bill Nottingham <notting@redhat.com> - 1:0.6.4-4
- add epochs in requirements

* Wed Aug 30 2006 Dan Williams <dcbw@redhat.com> - 1:0.6.4-3
- Fix FC-5 buildreqs

* Wed Aug 30 2006 Dan Williams <dcbw@redhat.com> - 1:0.6.4-2
- Revert FC6 to latest stable NM
- Update to stable snapshot
- Remove bind/caching-nameserver hard requirement

* Tue Aug 29 2006 Christopher Aillon <caillon@redhat.com> - 0.7.0-0.cvs20060529.7
- BuildRequire wireless-tools-devel and perl-XML-Parser
- Update the BuildRoot tag

* Wed Aug 16 2006 Ray Strode <rstrode@redhat.com> - 0.7.0-0.cvs20060529.6
- add patch to make networkmanager less verbose (bug 202832)

* Wed Aug  9 2006 Ray Strode <rstrode@redhat.com> - 0.7.0-0.cvs20060529.5
- actually make the patch in 0.7.0-0.cvs20060529.4 apply

* Fri Aug  4 2006 Ray Strode <rstrode@redhat.com> - 0.7.0-0.cvs20060529.4
- Don't ever elect inactive wired devices (bug 194124).

* Wed Jul 19 2006 John (J5) Palmieri <johnp@redhat.com> - 0.7.0-0.cvs20060529.3
- Add patch to fix deprecated dbus functions

* Tue Jul 18 2006 John (J5) Palmieri <johnp@redhat.com> - 0.7.0-0.cvs20060529.2
- Add BR for dbus-glib-devel

* Wed Jul 12 2006 Jesse Keating <jkeating@redhat.com> - 0.7.0-0.cvs20060529.1.1
- rebuild

* Mon May 29 2006 Dan Williams <dcbw@redhat.com> - 0.7.0-0.cvs20060529
- Update to latest CVS
	o Gnome.org #333420: dialog do not have window icons
	o Gnome.org #336913: HIG tweaks for vpn properties pages
	o Gnome.org #336846: HIG tweaks for nm-vpn-properties
	o Gnome.org #336847: some bugs in nm-vpn-properties args parsing
	o Gnome.org #341306: nm-vpn-properties crashes on startup
	o Gnome.org #341263: Version 0.6.2-0ubuntu5 crashes on nm_device_802_11_wireless_get_type
	o Gnome.org #341297: displays repeated keyring dialogs on resume from suspend
	o Gnome.org #342400: Building libnm-util --without-gcrypt results in linker error
	o Gnome.org #342398: Eleminate Gnome dependency for NetworkManager
	o Gnome.org #336532: declaration of 'link' shadows a global declaration
- Specfile fixes (#rh187489#)

* Sun May 21 2006 Dan Williams <dcbw@redhat.com> - 0.7.0-0.cvs20060521
- Update to latest CVS
- Drop special-case-madwifi.patch, since WEXT code is in madwifi-ng trunk now

* Fri May 19 2006 Bill Nottingham <notting@redhat.com> - 0.6.2-3.fc6
- use the same 0.6.2 tarball as FC5, so we have the same VPN interface
  (did he fire ten args, or only nine?)

* Thu Apr 27 2006 Jeremy Katz <katzj@redhat.com> - 0.6.2-2.fc6
- use the hal device type instead of poking via ioctl so that wireless 
  devices are properly detected even if the kill switch has been used

* Thu Mar 30 2006 Dan Williams <dcbw@redhat.com> - 0.6.2-1
- Update to 0.6.2:
    * Fix various WPA-related bugs
    * Clean up leaks
    * Increased DHCP timeout to account for slow DHCP servers, or STP-enabled
        switches
    * Allow applet to reconnect on dbus restarts
    * Add "Dynamic WEP" support
    * Allow hiding of password/key entry text
    * More responsive connection switching

* Tue Mar 14 2006 Peter Jones <pjones@redhat.com> - 0.6.0-3
- Fix device bringup on resume

* Mon Mar  6 2006 Dan Williams <dcbw@redhat.com> 0.6.0-2
- Don't let wpa_supplicant perform scanning with non-WPA drivers

* Mon Mar  6 2006 Dan Williams <dcbw@redhat.com> 0.6.0-1
- Update to 0.6.0 release
- Move autostart file to /usr/share/gnome/autostart

* Thu Mar  2 2006 Jeremy Katz <katzj@redhat.com> - 0.5.1-18.cvs20060302
- updated cvs snapshot.  seems to make airo much less neurotic

* Thu Mar  2 2006 Christopher Aillon <caillon@redhat.com>
- Move the unversioned libnm_glib.so to the -devel package

* Wed Mar  1 2006 Dan Williams <dcbw@redhat.com> 0.5.1-18.cvs20060301
- Fix VPN-related crash
- Fix issue where NM would refuse to activate a VPN connection once it had timed out
- Log wpa_supplicant output for better debugging

* Tue Feb 28 2006 Christopher Aillon <caillon@redhat.com> 0.5.1-17.cvs20060228
- Tweak three-scan-prune.patch

* Mon Feb 27 2006 Christopher Aillon <caillon@redhat.com> 0.5.1-16.cvs20060227
- Don't prune networks until they've gone MIA for three scans, not one.

* Mon Feb 27 2006 Christopher Aillon <caillon@redhat.com> 0.5.1-15.cvs20060227
- Update snapshot, which fixes up the libnotify stuff.

* Fri Feb 24 2006 Dan Williams <dcbw@redhat.coM> 0.5.1-14.cvs20060221
- Move libnotify requires to NetworkManager-gnome, not core NM package

* Tue Feb 21 2006 Dan Williams <dcbw@redhat.com> 0.5.1-13.cvs20060221
- Add BuildRequires: libnl-devel (#rh179438#)
- Fix libnm_glib to not clobber an application's existing dbus connection
	(#rh177546#, gnome.org #326572)
- libnotify support
- AP compatibility fixes

* Mon Feb 13 2006 Dan Williams <dcbw@redhat.com> 0.5.1-12.cvs20060213
- Minor bug fixes
- Update to VPN dbus API for passing user-defined routes to vpn service

* Sun Feb 12 2006 Christopher Aillon <caillon@redhat.com> 0.5.1-11.cvs20060205
- Rebuild

* Tue Feb 07 2006 Jesse Keating <jkeating@redhat.com> 0.5.1-10.cvs20060205.1
- rebuilt for new gcc4.1 snapshot and glibc changes

* Sun Feb  5 2006 Dan Williams <dcbw@redhat.com> 0.5.1-10.cvs20060205
- Workarounds for madwifi/Atheros cards
- Do better with non-SSID-broadcasting access points
- Fix hangs when access points change settings

* Thu Feb  2 2006 Dan Williams <dcbw@redhat.com> 0.5.1-9.cvs20060202
- Own /var/run/NetworkManager, fix SELinux issues

* Tue Jan 31 2006 Dan Williams <dcbw@redhat.com> 0.5.1-8.cvs20060131
- Switch to autostarting the applet instead of having it be session-managed
- Work better with non-broadcasting access points
- Add more manufacturer default SSIDs to the blacklist

* Tue Jan 31 2006 Dan Williams <dcbw@redhat.com> 0.5.1-7.cvs20060131
- Longer association timeout
- Fix some SELinux issues
- General bug and cosmetic fixes

* Fri Jan 27 2006 Dan Williams <dcbw@redhat.com> 0.5.1-6.cvs20060127
- Snapshot from CVS
- WPA Support!  Woohoo!

* Fri Dec 09 2005 Jesse Keating <jkeating@redhat.com>
- rebuilt

* Thu Dec 01 2005 John (J5) Palmieri <johnp@redhat.com> - 0.5.1-5
- rebuild for new dbus

* Fri Nov 18 2005 Peter Jones <pjones@redhat.com> - 0.5.1-4
- Don't kill the network connection when you upgrade the package.

* Fri Oct 21 2005 Christopher Aillon <caillon@redhat.com> - 0.5.1-3
- Split out the -glib subpackage to have a -glib-devel package as well
- Add epoch to version requirements for bind and wireless-tools
- Update URL of project

* Wed Oct 19 2005 Christopher Aillon <caillon@redhat.com> - 0.5.1-2
- NetworkManager 0.5.1

* Mon Oct 17 2005 Christopher Aillon <caillon@redhat.com> - 0.5.0-2
- NetworkManager 0.5.0

* Mon Oct 10 2005 Dan Williams <dcbw@redaht.com> - 0.4.1-5.cvs20051010
- Fix automatic wireless connections
- Remove usage of NMLoadModules callout, no longer needed
- Try to fix deadlock when menu is down and keyring dialog pops up

* Sun Oct 09 2005 Dan Williams <dcbw@redhat.com> - 0.4.1-4.cvs20051009
- Update to latest CVS
	o Integrate connection progress with applet icon (Chris Aillon)
	o More information in "Connection Information" dialog (Robert Love)
	o Shorten time taken to sleep
	o Make applet icon wireless strength levels a bit more realistic
	o Talk to named using DBUS rather than spawning our own
		- You need to add "-D" to the OPTIONS line in /etc/sysconfig/named
		- You need to set named to start as a service on startup

* Thu Sep 22 2005 Dan Williams <dcbw@redhat.com> - 0.4.1-3.cvs20050922
- Update to current CVS to fix issues with routing table and /sbin/ip

* Mon Sep 12 2005 Jeremy Katz <katzj@redhat.com> - 0.4.1-2.cvs20050912
- update to current CVS and rebuild (workaround for #168120)

* Fri Aug 19 2005 Dan Williams <dcbw@redhat.com> - 0.4.1-2.cvs20050819
- Fix occasional hang in NM caused by the applet

* Wed Aug 17 2005 Dan Williams <dcbw@redhat.com> - 0.4.1
- Update to NetworkManager 0.4.1

* Tue Aug 16 2005 Dan Williams <dcbw@redhat.com> - 0.4-36.cvs20050811
- Rebuild against new cairo/gtk

* Thu Aug 11 2005 Dan Williams <dcbw@redhat.com> - 0.4-35.cvs20050811
- Update to latest CVS
	o Use DHCP server address as gateway address if the DHCP server doesn't give
		us a gateway address #rh165698#
	o Fixes to the applet (Robert Love)
	o Better caching of information in the applet (Bill Moss)
	o Generate automatic suggested Ad-Hoc network name from machine's hostname
		(Robert Love)
	o Update all network information on successfull connect, not just 
		authentication method

* Fri Jul 29 2005 Ray Strode  <rstrode@redhat.com> - 0.4-34.cvs20050729
- Update to latest CVS to get fix for bug 165683.

* Mon Jul 11 2005 Dan Williams <dcbw@redhat.com> - 0.4-34.cvs20050629
- Move pkgconfig file to devel package (#162316, thanks to Michael Schwendt)

* Wed Jun 29 2005 David Zeuthen <davidz@redhat.com> - 0.4-33.cvs20050629
- Update to latest CVS to get latest VPN interface settings to satisfy
  BuildReq for NetworkManager-vpnc in Fedora Extras Development
- Latest CVS also contains various bug- and UI-fixes

* Fri Jun 17 2005 Dan Williams <dcbw@redhat.com> - 0.4-32.cvs20050617
- Update to latest CVS
	o VPN connection import/export capability
	o Fix up some menu item names
- Move nm-vpn-properties.glade to the gnome subpackage

* Thu Jun 16 2005 Dan Williams <dcbw@redhat.com> - 0.4-31.cvs20050616
- Update to latest CVS
	o Clean up wording in Wireless Network Discovery menu
	o Robert Love's applet beautify patch

* Wed Jun 15 2005 Dan Williams <dcbw@redhat.com> - 0.4-30.cvs20050615
- Update to latest CVS

* Mon May 16 2005 Dan Williams <dcbw@redhat.com> - 0.4-15.cvs30050404
- Fix dispatcher and applet CFLAGS so they gets compiled with FORTIFY_SOURCE

* Mon May 16 2005 Dan Williams <dcbw@redhat.com> - 0.4-14.cvs30050404
- Fix segfault in NetworkManagerDispatcher, add an initscript for it

* Mon May 16 2005 Dan Williams <dcbw@redhat.com> - 0.4-13.cvs30050404
- Fix condition that may have resulted in DHCP client returning success
	when it really timed out

* Sat May 14 2005 Dan Williams <dcbw@redhat.com> - 0.4-12.cvs20050404
- Enable OK button correctly in Passphrase and Other Networks dialogs when
	using ASCII or Hex WEP keys

* Thu May  5 2005 Dan Williams <dcbw@redhat.com> - 0.4-11.cvs20050404
- #rh154391# NetworkManager dies on startup (don't force-kill nifd)

* Wed May  4 2005 Dan Williams <dcbw@redhat.com> - 0.4-10.cvs20050404
- Fix leak of a socket in DHCP code

* Wed May  4 2005 Dan Williams <dcbw@redhat.com> - 0.4-9.cvs20050404
- Fix some memory leaks (Tom Parker)
- Join to threads rather than spinning for their completion (Tom Parker)
- Fix misuse of a g_assert() (Colin Walters)
- Fix return checking of an ioctl() (Bill Moss)
- Better detection and matching of hidden access points (Bill Moss)
- Don't use varargs, and therefore don't crash on PPC (Peter Jones)

* Wed Apr 27 2005 Jeremy Katz <katzj@redhat.com> - 0.4-8.cvs20050404
- fix build with newer dbus

* Wed Apr 27 2005 Jeremy Katz <katzj@redhat.com> - 0.4-7.cvs20050404
- silence %%post

* Mon Apr  4 2005 Dan Williams <dcbw@redhat.com> 0.4-6.cvs20050404
- #rh153234# NetworkManager quits/cores just as a connection is made

* Fri Apr  2 2005 Dan Williams <dcbw@redhat.com> 0.4-5.cvs20050402
- Update from latest CVS HEAD

* Fri Mar 25 2005 Christopher Aillon <caillon@redhat.com> 0.4-4.cvs20050315
- Update the GTK+ theme icon cache on (un)install

* Tue Mar 15 2005 Ray Strode <rstrode@redhat.com> 0.4-3.cvs20050315
- Pull from latest CVS HEAD

* Tue Mar 15 2005 Ray Strode <rstrode@redhat.com> 0.4-2.cvs20050315
- Upload new source tarball (woops)

* Tue Mar 15 2005 Ray Strode <rstrode@redhat.com> 0.4-1.cvs20050315
- Pull from latest CVS HEAD (hopefully works again)

* Mon Mar  7 2005 Ray Strode <rstrode@redhat.com> 0.4-1.cvs20050307
- Pull from latest CVS HEAD
- Commit broken NetworkManager to satisfy to dbus dependency

* Fri Mar  4 2005 Dan Williams <dcbw@redhat.com> 0.3.4-1.cvs20050304
- Pull from latest CVS HEAD
- Rebuild for gcc 4.0

* Tue Feb 22 2005 Dan Williams <dcbw@redhat.com> 0.3.3-2.cvs20050222
- Update from CVS

* Mon Feb 14 2005 Dan Williams <dcbw@redhat.com> 0.3.3-2.cvs20050214.x.1
- Fix free of invalid pointer for multiple search domains

* Mon Feb 14 2005 Dan Williams <dcbw@redhat.com> 0.3.3-2.cvs20050214
- Never automatically choose a device that doesn't support carrier detection
- Add right-click menu to applet, can now "Pause/Resume" scanning through it
- Fix DHCP Renew/Rebind timeouts
- Fix frequency cycling problem on some cards, even when scanning was off
- Play better with IPv6
- Don't send kernel version in DHCP packets, and ensure DHCP packets are at
	least 300 bytes in length to work around broken router
- New DHCP options D-BUS API by Dan Reed
- Handle multiple domain search options in DHCP responses

* Wed Feb  2 2005 Dan Williams <dcbw@redhat.com> 0.3.3-1.cvs20050202
- Display wireless network name in applet tooltip
- Hopefully fix double-default-route problem
- Write out valid resolv.conf when we exit
- Make multi-domain search options work
- Rework signal strength code to be WEXT conformant, if strength is
	still wierd then its 95% surely a driver problem
- Fix annoying instances of suddenly dropping and reactivating a
	wireless device (Cisco cards were worst offenders here)
- Fix some instances of NetworkManager not remembering your WEP key
- Fix some races between NetworkManager and NetworkManagerInfo where
	NetworkManager wouldn't recognize changes in the allowed list
- Don't shove Ad-Hoc Access Point MAC addresses into GConf

* Tue Jan 25 2005 Dan Williams <dcbw@redhat.com> 0.3.3-1.cvs20050125
- Play nice with dbus 0.23
- Update our list of Allowed Wireless Networks more quickly

* Mon Jan 24 2005 Dan Williams <dcbw@redhat.com> 0.3.3-1.cvs20050124
- Update to latest CVS
- Make sure we start as late as possible so that we ensure dbus & HAL
	are already around
- Fix race in initial device activation

* Mon Jan 24 2005 Than Ngo <than@redhat.com> 0.3.3-1.cvs20050112.4
- rebuilt against new wireless tool

* Thu Jan 21 2005 <dcbw@redhat.com> - 0.3.3-1.cvs20050118
- Fix issue where NM wouldn't recognize that access points were
	encrypted, and then would try to connect without encryption
- Refine packaging to put client library in separate package
- Remove bind+caching-nameserver dep for FC-3, use 'nscd -i hosts'
	instead.  DNS queries may timeout now right after device
	activation due to this change.

* Wed Jan 12 2005 <dcbw@redhat.com> - 0.3.3-1.cvs20050112
- Update to latest CVS
- Fixes to DHCP code
- Link-Local (ZeroConf/Rendezvous) support
- Use bind in "caching-nameserver" mode to work around stupidity
	in glibc's resolver library not recognizing resolv.conf changes
- #rh144818# Clean up the specfile (Patch from Matthias Saou)
- Ad-Hoc mode support with Link-Local addressing only (for now)
- Fixes for device activation race conditions
- Wireless scanning in separate thread

* Wed Dec  8 2004 <dcbw@redhat.com> - 0.3.2-4.3.cvs20041208
- Update to CVS
- Updates to link detection, DHCP code
- Remove NMLaunchHelper so we start up faster and don't
	block for a connection.  This means services that depend
	on the network may fail if they start right after NM
- Make sure DHCP renew/rebinding works

* Wed Nov 17 2004 <dcbw@redhat.com> - 0.3.2-3.cvs20041117
- Update to CVS
- Fixes to link detection
- Better detection of non-ESSID-broadcasting access points
- Don't dialog-spam the user if a connection fails

* Mon Nov 11 2004 <dcbw@redhat.com> - 0.3.2-2.cvs20041115
- Update to CVS
- Much better link detection, works with Open System authentication
- Blacklist wireless cards rather than whitelisting them

* Fri Oct 29 2004 <dcbw@redhat.com> - 0.3.2-2.cvs20041029
- #rh134893# NetworkManagerInfo and the panel-icon life-cycle
- #rh134895# Status icon should hide when in Wired-only mode
- #rh134896# Icon code needs rewrite
- #rh134897# "Other Networks..." dialog needs implementing
- #rh135055# Menu highlights incorrectly in NM
- #rh135648# segfault with cipsec0
- #rh135722# NetworkManager will not allow zaurus to sync via usb0
- #rh135999# NetworkManager-0.3.1 will not connect to 128 wep
- #rh136866# applet needs tooltips
- #rh137047# lots of applets, yay!
- #rh137341# Network Manager dies after disconnecting from wired network second time
- Better checking for wireless devices
- Fix some memleaks
- Fix issues with dhclient declining an offered address
- Fix an activation thread deadlock
- More accurately detect "Other wireless networks" that are encrypted
- Don't bring devices down as much, won't hotplug-spam as much anymore
	about firmware
- Add a "network not found" dialog when the user chooses a network that could
	not be connected to

* Tue Oct 26 2004 <dcbw@redhat.com> - 0.3.1-2
- Fix escaping of ESSIDs in gconf

* Tue Oct 19 2004  <jrb@redhat.com> - 0.3.1-1
- minor point release to improve error handling and translations

* Fri Oct 15 2004 Dan Williams <dcbw@redhat.com> 0.3-1
- Update from CVS, version 0.3

* Tue Oct 12 2004 Dan Williams <dcbw@redhat.com> 0.2-4
- Update from CVS
- Improvements:
	o Better link checking on wireless cards
	o Panel applet now a Notification Area icon
	o Static IP configuration support

* Mon Sep 13 2004 Dan Williams <dcbw@redhat.com> 0.2-3
- Update from CVS

* Sat Sep 11 2004 Dan Williams <dcbw@redhat.com> 0.2-2
- Require gnome-panel, not gnome-panel-devel
- Turn off by default

* Thu Aug 26 2004 Dan Williams <dcbw@redhat.com> 0.2-1
- Update to 0.2

* Thu Aug 26 2004 Florian La Roche <Florian.LaRoche@redhat.de>
- spec-changes to req glib2 instead of glib

* Fri Aug 20 2004 Dan Williams <dcbw@redhat.com> 0.1-3
- First public release

